<button id="vishnu" class="btn" onclick="vishnu()" style="padding: 10px;">Create Virtual Contest</button>
<div id='rad' style="display: none;">
    <label class="radio-inline" style="margin: 10; padding-left: 15px;" id='lable1'>
        <div class="form-check">
              <input type="radio" name="radio" id='option1'><span class="label-text">Past</span>
        </div>
    </label>
    <label class="inline" style="visibility: hidden;" id="past">
        <select id='selectOptions1' style="width: 150%">
            {% for contest in contests %}
                <option>{{ contest.contest_code }}</option>
            {% endfor %}
        </select>
    </label>
    <label class="radio-inline" style="margin: 10; padding-left: 40px;" id='lable2'>
        <div class="form-check">
            <input type="radio" name="radio" id='option2'><span class="label-text">Custom</span>
        </div>
    </label>
    <label class="inline" id="custom">
        <select id='selectOptions2' style="width: 150%">
            <option>LTIME</option>
            <option>COOKOFF</option>
        </select>
    </label>

</div>

<script type="text/javascript">
    $('#vishnu').addClass('btn-primary')
    $('#vishnu').click(function() {
        if($(this).text() == 'Create Virtual Contest') {
            $(this).html('Submit');
            $('#rad').css('display', 'inline-block');
            $('#rad').removeAttr('checked');
            $('#custom').hide()
            $(this).removeClass('btn-primary')
            $(this).addClass('btn-secondary')
        } else {
            if($('#option1').is(':checked')) {
                var contestName = $('#selectOptions1 option:selected').text()
                window.location = '/createvirtualcontest?contestType=PAST&contestName=' + contestName;
            } else if($('#option2').is(':checked')) {
                var contestName = $('#selectOptions2 option:selected').text()
                window.location = '/createvirtualcontest?contestType=CUSTOM&contestName=' + contestName;
            }
        }


    });
    $('#option1').click(function() {
        $('#past').css('visibility', 'visible');
        $('#custom').hide()
    });

    $('#option2').click(function() {
        $('#past').css('visibility', 'hidden');
        $('#custom').show()
    });

    $(document).ready(function() {
        $("#selectOptions1").select2({
                placeholder: "Select a Contest",
                allowClear: true,
                width: 'element',
         });
    });

    $(document).ready(function() {
        $("#selectOptions2").select2({
                placeholder: "Select a Contest Type",
                allowClear: true,
                width: 'element',
         });
    });
</script>
